Subject: bug#31841: ./pre-inst-env guix system no longer works without ~/.config/guix

From: [email-masked] (Ludovic Courtès)
Date: Sun, 17 Jun 2018 22:53:06 +0200

Hello,

Mark H Weaver <[email-masked]> skribis:

> I should emphasize that when running Guix this way, if you wish to avoid
> running 'guix pull', it's important to always keep at least one
> known-good development environment for Guix saved as a GC root.  Toward
> that end, when I run "guix environment guix" to update my development
> environment profile, I make sure to preserve my previous profile as a GC
> root until I'm confident that my new profile is working.

The “make as-derivation” command aims to help with this bootstrapping
problem: given an already installed Guix, it builds your checkout and
its dependencies like ‘guix pull’ would do.  Thus, you can run:

  $(make as-derivation)/bin/guix environment guix

This is just a first step, but I think “make” and “make
as-derivation”/“guix pull” should converge because there’s clearly some
overlap.

Ludo’.